<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <link rel="stylesheet" href="styles.css" />
    <title>Task1.6</title>
  </head>

  <body class="body">
    <main class="main">
      <nav>
        <ul class="navlist text">
          <h1>Display values</h1>
          <li><a href="#block" class="navitem">block</a></li>
          <li><a href="#inline" class="navitem">inline</a></li>
          <li><a href="#inline-block" class="navitem">inline-block</a></li>
          <li><a href="#inline-table" class="navitem">inline-table</a></li>
          <li><a href="#list-item" class="navitem">list-item</a></li>
          <li><a href="#none" class="navitem">none</a></li>
          <li><a href="#run-in" class="navitem">run-in</a></li>
          <li><a href="#table" class="navitem">table</a></li>
          <li><a href="#table-caption" class="navitem">table-caption</a></li>
          <li><a href="#table-cell" class="navitem">table-cell</a></li>
          <li><a href="#table-column" class="navitem">table-column</a></li>
          <li>
            <a href="#table-column-group" class="navitem">table-column-group</a>
          </li>
          <li>
            <a href="#table-footer-group" class="navitem">table-footer-group</a>
          </li>
          <li>
            <a href="#table-header-group" class="navitem">table-header-group</a>
          </li>
          <li><a href="#table-row" class="navitem">table-row</a></li>
          <li>
            <a href="#table-row-group" class="navitem">table-row-group</a>
          </li>
        </ul>
      </nav>

      <article id="article" class="article text">
        <h1>CSS Display Documentation</h1>
        <dl>
          <dt id="description" class="descriptionhead"></dt>
          <dd class="descriptionbody">
            Многоцелевое свойство, которое определяет, как элемент должен быть
            показан в документе. <br />
            Синтаксис: <br />
            display: block | inline | inline-block | inline-table | list-item |
            none | run-in | table | table-caption | table-cell |
            table-column-group | table-column | table-footer-group |
            table-header-group | table-row | table-row-group
          </dd>

          <dt id="block" class="descriptionhead">display: block</dt>
          <dd class="descriptionbody">
            Элемент показывается как блочный. Применение этого значения для
            встроенных элементов, например тега span, заставляет его вести
            подобно блокам — происходит перенос строк в начале и в конце
            содержимого.
          </dd>

          <dt id="inline" class="descriptionhead">display: inline</dt>
          <dd class="descriptionbody">
            Элемент отображается как встроенный. Использование блочных тегов,
            таких как div и p, автоматически создает перенос и показывает
            содержимое этих тегов с новой строки. Значение inline отменяет эту
            особенность, поэтому содержимое блочных элементов начинается с того
            места, где окончился предыдущий элемент.
          </dd>

          <dt id="inline-block" class="descriptionhead">
            display: inline-block
          </dt>
          <dd class="descriptionbody">
            Это значение генерирует блочный элемент, который обтекается другими
            элементами веб-страницы подобно встроенному элементу. Фактически
            такой элемент по своему действию похож на встраиваемые элементы
            (вроде тега img). При этом его внутренняя часть форматируется как
            блочный элемент, а сам элемент — как встроенный.
          </dd>

          <dt id="inline-table" class="descriptionhead">
            display: inline-table
          </dt>
          <dd class="descriptionbody">
            Определяет, что элемент является таблицей как при использовании тега
            table, но при этом таблица является встроенным элементом и
            происходит ее обтекание другими элементами, например, текстом.
          </dd>

          <dt id="list-item" class="descriptionhead">display: list-item</dt>
          <dd class="descriptionbody">
            Элемент выводится как блочный и добавляется маркер списка.
          </dd>

          <dt id="none" class="descriptionhead">display: none</dt>
          <dd class="descriptionbody">
            Временно удаляет элемент из документа. Занимаемое им место не
            резервируется и веб-страница формируется так, словно элемента и не
            было. Изменить значение и сделать вновь видимым элемент можно с
            помощью скриптов, обращаясь к свойствам через объектную модель. В
            этом случае происходит переформатирование данных на странице с
            учетом вновь добавленного элемента.
          </dd>

          <dt id="run-in" class="descriptionhead">display: run-in</dt>
          <dd class="descriptionbody">
            Устанавливает элемент как блочный или встроенный в зависимости от
            контекста.
          </dd>

          <dt id="table" class="descriptionhead">display: table</dt>
          <dd class="descriptionbody">
            Определяет, что элемент является блочной таблицей подобно
            использованию тега table.
          </dd>

          <dt id="table-caption" class="descriptionhead">
            display: table-caption
          </dt>
          <dd class="descriptionbody">
            Задает заголовок таблицы подобно применению тега caption.
          </dd>

          <dt id="table-cell" class="descriptionhead">display: table-cell</dt>
          <dd class="descriptionbody">
            Указывает, что элемент представляет собой ячейку таблицы (тег td или
            th).
          </dd>

          <dt id="table-column" class="descriptionhead">
            display: table-column
          </dt>
          <dd class="descriptionbody">
            Назначает элемент колонкой таблицы, словно был добавлен тег col.
          </dd>

          <dt id="table-column-group" class="descriptionhead">
            display: table-column-group
          </dt>
          <dd class="descriptionbody">
            Определяет, что элемент является группой одной или более колонок
            таблицы, как при использовании тега colgroup.
          </dd>

          <dt id="table-footer-group" class="descriptionhead">
            display: table-footer-group
          </dt>
          <dd class="descriptionbody">
            Используется для хранения одной или нескольких строк ячеек, которые
            отображаются в самом низу таблицы. По своему действию сходно с
            работой тега tfoot.
          </dd>

          <dt id="table-header-group" class="descriptionhead">
            display: table-header-group
          </dt>
          <dd class="descriptionbody">
            Элемент предназначен для хранения одной или нескольких строк ячеек,
            которые представлены вверху таблицы. По своему действию сходно с
            работой тега thead.
          </dd>

          <dt id="table-row" class="descriptionhead">display: table-row</dt>
          <dd class="descriptionbody">
            Элемент отображается как строка таблицы (тег tr).
          </dd>

          <dt id="table-row-group" class="descriptionhead">
            display: table-row-group
          </dt>
          <dd class="descriptionbody">
            Создает структурный блок, состоящий из нескольких строк таблицы
            аналогично действию тега tbody.
          </dd>
        </dl>
      </article>
    </main>
  </body>
</html>
